EventDispatcher → Object3D → Mesh →

# FullScreenQuad

This module is a helper for passes which need to render a full screen effect which is quite common in context of post processing.

The intended usage is to reuse a single full screen quad for rendering subsequent passes by just reassigning the `material` reference.

This module can only be used with WebGLRenderer.

## Import

FullScreenQuad is an addon, and must be imported explicitly, see Installation#Addons.

    import { FullScreenQuad } from 'three/addons/postprocessing/Pass.js';

## Constructor

### new FullScreenQuad ( material : Material )

Constructs a new full screen quad.

material | The material to render te full screen quad with.

## Properties

### .material : Material

The quad's material.

Overrides: Mesh#material

## Methods

### .dispose ()

Frees the GPU-related resources allocated by this instance. Call this method whenever the instance is no longer used in your app.

### .render ( renderer : WebGLRenderer )

Renders the full screen quad.

renderer | The renderer.

## Source

examples/jsm/postprocessing/Pass.js